/*****************************************************************************
 *
 * FILE:	status.h
 * DESCRIPTION:	response status code
 * DATE:	Sun, Oct  7 2001
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.COM
 * URL:		http://www.MysticWALL.COM/cover.html
 * COPYRIGHT:	(C) 2001-2002 졿Kouichi ABE (WALL), All rights reserved.
 * LICENSE:
 *   Copyright (C) 2001-2002 Kouichi ABE (WALL) <kouichi@MysticWALL.COM>,
 *   All rights reserved.
 *  
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions
 *   are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *   THIS SOFTWARE IS PROVIDED BY KOUICHI ABE (WALL) ``AS IS'' AND ANY
 *   EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL KOUICHI ABE (WALL) BE
 *   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 *   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 *   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 *   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 *   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 *   IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: status.h,v 1.3 2002/01/10 15:55:04 kouichi Exp $
 *
 *****************************************************************************/

#ifndef	_status_h
#define	_status_h

/*
 *	Status Code Definitions
 */
typedef enum {
  /* Informational 1xx */
  CODE_CONTINUE = 0,			/* 100 */
  CODE_SWITCHING_PROTOCOLS,		/* 101 */
  /* Successfule 2xx */
  CODE_REQUEST_OK,			/* 200 */
  CODE_CREATED,				/* 201 */
  CODE_ACCEPTED,			/* 202 */
  CODE_NON_AUTH_INFO,			/* 203 */
  CODE_NO_CONTENT,			/* 204 */
  CODE_RESET_CONTENT,			/* 205 */
  CODE_PARTIAL_CONTENT,			/* 206 */
  /* Redirection 3xx */
  CODE_MULTIPLE_CHOICES,		/* 300 */
  CODE_MOVED_PERMANENTLY,		/* 301 */
  CODE_FOUND,				/* 302 */
  CODE_SEE_OTHER,			/* 303 */
  CODE_NOT_MODIFIED,			/* 304 */
  CODE_USE_PROXY,			/* 305 */
  CODE_TEMPORARY_REDIRECT,		/* 307 */
  /* Client Error 4xx */
  CODE_BAD_REQUEST,			/* 400 */
  CODE_UNAUTHORIZED,			/* 401 */
  CODE_PAYMENT_REQUIRED,		/* 402 */
  CODE_FORBIDDEN,			/* 403 */
  CODE_NOT_FOUND,			/* 404 */
  CODE_METHOD_NOT_ALLOWED,		/* 405 */
  CODE_NOT_ACCEPTABLE,			/* 406 */
  CODE_PROXY_AUTH_REQUIRED,		/* 407 */
  CODE_REQUEST_TIMEOUT,			/* 408 */
  CODE_CONFLICT,			/* 409 */
  CODE_GONE,				/* 410 */
  CODE_LENGTH_REQUIRED,			/* 411 */
  CODE_PRECONDITION_FAILED,		/* 412 */
  CODE_REQ_ENTITY_TOO_LARGE,		/* 413 */
  CODE_REQUEST_URI_TOO_LONG,		/* 414 */
  CODE_UNSUPPORTED_MEDIA_TYPE,		/* 415 */
  CODE_REQED_RANGE_NOT_SATISFIABLE,	/* 416 */
  CODE_EXPECTATION_FAILED,		/* 417 */
  /* Server Error 5xx */
  CODE_INTERNAL_SERVER_ERROR,		/* 500 */
  CODE_NOT_IMPLEMENTED,			/* 501 */
  CODE_BAD_GATEWAY,			/* 502 */
  CODE_SERVICE_UNAVAILABLE,		/* 503 */
  CODE_GATEWAY_TIMEOUT,			/* 504 */
  CODE_HTTP_VERSION_NOT_SUPPORTED	/* 505 */
} rsCode_t;

#endif	/* _status_h */
